
Figure - Bug #113026
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111050 (New): AF-V2.0-Launcher/SystemUI-桌面管理

【AF】【EVT】【桌面管理】将第三方应用移动到dock栏中，长按删除，dock栏剩下的三个应用不会自适应
排列
2022-10-26 15:36 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-26

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221026.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Reproducibility: Every time Fixed Version: 2022-10-28

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、安装一个第三方应用

【测试步骤】

1、将安装的第三方应用替换一个dock栏中的应用（任意位置）

2、长按第三方应用，在弹出框中选择卸载

3、成功卸载该应用，观察dock栏布局

【预期结果】

3、dock栏剩下的三个应用与dock栏上下端距离一致，中间间隔一致

【实际结果】

3、dock栏剩下的三个应用不会自适应排列，呈现空一个应用图标的状态（如图）

长按或拖动剩下图标中的任意一个，dock栏恢复自适应排列

【复现率】

必现

ps:dock中一共只有2或者3个应用也有此现象，此处以4个为例

History

#1 - 2022-10-26 15:40 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#2 - 2022-10-27 15:14 - CDTS-TEST 周婷

- Due date set to 2022-11-04

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#3 - 2022-10-27 16:35 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No
- Fixed Version set to 2022-10-28

- Root cause set to 编码问题

■ Current conclusion

dock布局未更新

■ My analysis

删除后需要刷新dock

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/158434

#4 - 2022-10-27 17:19 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD TEST-方永红

#5 - 2022-10-28 11:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

10.28 验证通过

#6 - 2022-10-28 11:06 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158434 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Fix hotseat layout not update after uninstall1. Fixed hotseat layout not being updated after uninstalling app.TC-RID: 1201-0205303IssueID:

TS-R-BUG-113026Change-Id: I12d293f9072f13386083be99df28bf43fca9cb8b

Files

卸载第三方应用.png 227 KB 2022-10-26 CD TEST-方永红

1534.txt 961 KB 2022-10-26 CD TEST-方永红
